/**
Theme Name: Astra Child
Author: Pennsylvania FIRST Robotics
Author URI: http://ftcpenn.org
Description: Custom CSS for ftcpenn.org
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: astra-child
Template: astra
*/

/*
 * ***************************************************************************************
 * Custom Properities
 * ***************************************************************************************
*/

:root {
    --heading-blue: #0170B9;
    --table-header-blue: #005994;
}



/*
 * ***************************************************************************************
 * CSS for Posts
 * ***************************************************************************************
*/

/*
* Astra class for post thumbnail images
*/
.post-thumb {
	margin-right: 5px;
}

/*
* Fix an issue with leaflet maps being on top of Astra menus
*/
.site-header {
	z-index:9999 !important;
}

/************************************
* Site Settings
*/

/*
* Header area of blog archive page
*/
#primary.content-area.primary.ast-grid-2 {
	margin-top: 22px;
}

/*
* Force h2 headings to be our blue color and bold
*/
h2, .entry-content h2 {
	color: var(--heading-blue); /* our blue */
	font-weight: normal;
	font-size: 30px;
}

.event-title-text h1 {
	margin-bottom: 0px;
}


.page-title.ast-archive-title {
	color: black;
	font-weight: normal;
}


.style-alternate-background-color  {
	background-color: #f8f8f8;
}

.style-new-section {
	margin-top: 40px;
}

.style-season-logo {
	min-width: 200px;
	text-align: center;
	align-content: center;
	margin-bottom: 10px;
}

@media (max-width: 767px) {
	.style-season-logo {
		min-width: 150px;
	}
}

.style-season-logo figure {
	min-height: 75px;
}

.style-season-logo figure:hover {
	transform: scale(1.1);
}

.style-season-logo figcaption {
	white-space: nowrap;
}

.style-season-logo-gray {
	filter: grayscale(100%) opacity(50%);
}

.style-season-logo-gray figure {
	min-height: 75px;
}

.style-season-logo-gray figcaption {
	white-space: nowrap;
}

.style-game-img {
	max-height: 70px;
	width: auto;
	box-shadow: 1px 1px 5px 1px grey;
}

.style-shadow {
        box-shadow: 1px 1px 5px 1px grey;
}

.style-shadow figure:hover {
	transform: scale(1.1);
}

.style-manual-logo {
	min-width: 155px;
	text-align: center;
	align-content: center;
	margin-bottom: 10px;
}

.style-manual-logo figure {
	min-height: 75px;
	text-align: center;
}

.style-manual-logo figure:hover {
	transform: scale(1.1);
}

.style-manual-logo figcaption {
	text-align: center;
	white-space: normal;
	max-width: 155px
}

.style-opaque-background {
	background-color: rgba(255,255,255,.75);
	padding: 15px;
}

/* ************************************
* Search Page:
*/
.search-page {
	margin-left: 1em;
}

.search-page p {
	margin-top: 0px;
	margin-bottom: 10px;
}

/* ************************************
 * DataTables and TablePress
 * 
*/

/******************
* DataTables 
*/

/* Minimize space between Layout row(s) and top of table */
.dt-layout-row {
    margin: 0px !important;
}

/* Try to keep Layout start and end divs on one line if possible.
*  - Shrink the buttons div to fit just the # of buttons we are using (default is to keep space for all 6 buttons)
*/
.dt-buttons {
    width: fit-content !important;
}

/* Keep a nice compact table - minimize space between rows */
table.dataTable>tbody>tr>th, 
table.dataTable>tbody>tr>td,
table.dataTable.compact thead th, 
table.dataTable.compact thead td, 
table.dataTable.compact tfoot th, 
table.dataTable.compact tfoot td, 
table.dataTable.compact tbody th, 
table.dataTable.compact tbody td {
    border-style: hidden;
    padding-top: 2px ;
    padding-bottom: 2px ;
}

/* Get rid of any lingering cell and table borders. */
table.datatable {
    border-collapse:collapse !important;
}

/* Set the alternating row stripe colors */
/*.display tr:nth-child(even),
.stripe tr:nth-child(even) {
    background-color: #eaeaea !important;
}*/

/*
.display tr:nth-child(odd),
.stripe tr:nth-child(odd) {
    background-color: white !important;
}*/

/* Set hover color when in the table body (header hovering is separately) */
/*.display tr:hover td,
.hover tr:hover td {
	background-color: #e0e0e0 !important;
}*/

/* Change the sorted header appearance. If sorted: use black header text and arrow, and change opacity of sorted header cell */
table.dataTable thead>tr>th.dt-ordering-desc span.dt-column-order:after,
table.dataTable thead>tr>th.dt-ordering-asc span.dt-column-order:before {
    color: black !important;
    opacity: 1 !important;
}
table.dataTable thead>tr>th.dt-orderable-asc span.dt-column-order:after,
table.dataTable thead>tr>th.dt-orderable-desc span.dt-column-order:after, 
table.dataTable thead>tr>th.dt-orderable-asc span.dt-column-order:before, 
table.dataTable thead>tr>th.dt-orderable-desc span.dt-column-order:before {
    opacity: .75;
}
table.dataTable thead>tr>th.dt-orderable-asc span.dt-column-order, 
table.dataTable thead>tr>th.dt-orderable-desc span.dt-column-order, 
table.dataTable thead>tr>th.dt-ordering-asc span.dt-column-order, 
table.dataTable thead>tr>th.dt-ordering-desc span.dt-column-order {
    color: white;
    font-weight: 900 !important;
    right: 5px !important; /* Push the sort arrows closer to the edge of the column (default is 30px) */
}
.dt-ordering-asc,
.dt-ordering-desc {
    background-color: var(--table-header-blue);
    opacity: .90;
    color:black !important;
}

/* Make right-justified data align just to the left of the sort arrows. Default is beyond the right of the sort arrows. */
table.dataTable.compact tbody td {
    padding-right: 25px;
}



/*
* DataTables Responsive
*/

/* Responsive at 767px width - Layout (area above table) changes by default from flex to block. Keep it in flex for better formatting. */
@media (max-width: 767px) {
    table.dataTable.compact thead th, 
    table.dataTable.compact thead td, 
    table.dataTable.compact tfoot th, 
    table.dataTable.compact tfoot td, 
    table.dataTable.compact tbody th, 
    table.dataTable.compact tbody td {
        padding-top: 8px;
        padding-bottom: 8px;
    }

    /* Hide buttons (Copy, Excel, Print) div */
    .dt-buttons {
        display: none !important;
    }

    /* Keep the Layout divs as flex (DataTables switches to display: block here) so topStart and topEnd stay in one row  */
    div.dt-container div.dt-layout-row:not(.dt-layout-table) {
        flex-direction: row !important;
        display: flex !important;
    }
    div.dt-container div.dt-layout-row:not(.dt-layout-table) div.dt-layout-cell {
        display: flex !important;
    }

    /* Minimie space between Layout row(s) and top of table */
    .dt-layout-start, 
    .dt-layout-end {
        padding: 0px !important;
        margin-top: 0px !important;
        margin-bottom: 0px !important;
    }

    /* Keep a little space between Layout start and end divs (now that we are forcing the divs to stay in one row) */
    .dt-layout-start {
        margin-right: 10px !important;
    }

    /* Decrease the size of the search input box a little to give more room in Layout row*/
    .dt-input {
        max-width: 100px;
    }
}

/* Responsive - anytime a column collapses */
.dataTable.dtr-inline.collapsed {

    /* Format the child rows of collapesed columns (visible when main row is expanded) */
    td.child, td.child li {
        text-align: left !important;
        padding-top: 1px !important;
        padding-bottom: 1px !important;
        padding-left: 25px !important; /* Offset the width of the child row */
    }

    /* Add space in the first column for the expand/collapse button (this button is changed by TablePress to green + / red -) */
    .column-1.dtr-control {
        padding-left: 3.0em !important;
    }

    @media (max-width: 767px) {
        .collapsed td {
            padding-top: 4px;
            padding-bottom: 4px;
        }
    }
}

/* Responsive - Child table of collapsed row */
.responsive-table td:nth-child(1) {
    font-weight: bold;
    text-align: left;
    white-space: normal;
    width: 1%;
    padding-right: 4px !important;
}
.responsive-table td:nth-child(2) {
    text-align: center;
    padding-right: 4px !important;
}
.responsive-table tr td {
    border: 1px dotted lightgray !important;
    height: fit-content !important;
    min-width: 110px;
}
table.dataTable.compact tbody td .responsive-table-data {
    padding-top: 2px;
    padding-bottom: 2px;
}


/******************
* TablePress 
*/

/* Change TablePress header background, header text, and alternating row default colors */
.tablepress {
    --head-active-bg-color: var(--table-header-blue) ;      /*TablePress: #049cdb */
    --text-color: black !important;          /* TablePress: #111 */
    /*--even-bg-color: #eaeaea !important;    /* TablePress: #f9f9f9 */
    /*--hover-bg-color: #e0e0e0 !important;   /* TablePress: #f3f3f3 */
}


/* Adjust TablePress horizontal borders */
.tablepress tbody td,
.tablepress tfoot th {
	border-top: 1px solid #dddddd;
}
.tablepress thead th {
	border-bottom: 1px solid #dddddd;
}

/* Make table headers/footers our blue with white lettering */
.dataTable thead th,
.tablepress thead th,
.tablepress tfoot th {
	background-color: var(--table-header-blue);
	font-weight: bold;
	color: white;
	vertical-align: middle;
}

/* Adjust opacity on header hover and the selected sorting column header cell (instead of changing color)*/
.dataTable th:hover {
    opacity: .90;
}
.tablepress .sorting:hover,
.tablepress .sorting_asc,
.tablepress .sorting_desc {
    background-color: var(--table-header-blue);
    opacity: .90;
}

/* TablePress changes the DataTables show/hide arrows with green + / red - 
*  Fix some of TablePress's formatting issues of these new show/hide buttons 
*/
table.dataTable.dtr-inline.collapsed>tbody>tr>td.dtr-control:before,
table.dataTable.dtr-inline.collapsed>tbody>tr>th.dtr-control:before {
    margin-top: 1px;
    top: auto !important;
    /*line-height: 14px !important;*/

    background-color: #31b131;
    border: 2px solid #fff;
    border-radius: 16px;
    box-shadow: 0 0 3px #444;
    box-sizing: initial;
    color: #fff;
    content: "+" !important;
    display: block;
    /*font-family: monospace!important;*/
    height: 16px;
    left: 4px !important;
    line-height: 100% !important;
    position: absolute;
    text-align: center;
    text-indent: 0px !important;
    top: auto !important;
    width: 16px;
}
table.dataTable.dtr-inline.collapsed>tbody>tr.dtr-expanded>td.dtr-control:before,
table.dataTable.dtr-inline.collapsed>tbody>tr.dtr-expanded>th.dtr-control:before {
    background-color: #d33333;
    border: 2px solid #fff;
    border-radius: 16px;
    box-shadow: 0 0 3px #444;
    color: #fff;
    content: "-" !important;
    display: block;
    /*font-family: monospace!important;*/
    height: 16px;
    left: 4px !important;
    line-height: 100% !important;
    position: absolute;
    text-align: center;
    text-indent: 0px !important;
    top: auto !important;
    width: 16px;
    /*margin-left: 1px !important;*/
}



/* ************************************
 * Remove Arrows/Spinners in input boxes
*/

/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type=number] {
  -moz-appearance: textfield;
}


/*
 * ***************************************************************************************
 * CSS for Custom Page Types
 * ***************************************************************************************
*/


/* ************************************
* Event Page: Entire Page
*/

@media (min-width: 922px) {
	.cpt-container {
		display: block;
		width: 1200px;
	}
}

/* ************************************
* Teams Page - Leaflet mapping support 
*/
.team-map-menu0 {
	font-size: 110%;
	color: green;	
}
.team-map-menu1 {
	font-size: 110%;
	color: var(--heading-blue); /* our blue */
}
.team-map-menu2 {
	font-size: 110%;
	color: orange;
}
.team-map-menu3 {
	font-size: 110%;
	color: red;
}
.team-map-menu4 {
	font-size: 110%;
	color: purple;
}
.team-map-menu5 {
	font-size: 110%;
	color: saddlebrown;
}
.team-map-menu6 {
	font-size: 110%;
	color: deepskyblue;
}
.team-map-menu7 {
	font-size: 110%;
	color: gray;
}
.team-map-menu8 {
	font-size: 110%;
	color: gray;
}
.team-map-menu9 {
	font-size: 110%;
	color: var(--heading-blue); /* our blue */
}
.team-map-menu11 {
	font-size: 110%;
	color: gray;
}

.venue-map,
.all-venues-map,
.event-map,
.season-calendar-map,
.team-map {
	height: 475px; 
	max-width: 950px; 
	margin-bottom: 20px; 
    display: block; 
	margin-left: auto; 
    margin-right: auto; 
	box-shadow: 1px 1px 5px 1px grey;
}

.venue-map {
	height: 325px; 
	width: 500px; 
	margin-left: 0;
}

/* .team-map-popup {} */

.team-map-popup-title {
	display: block;
	font-size: 135%;
	text-align: center;
	font-weight: bold;
	margin-bottom: 5px;
}

.team-map-popup-body {
	display: block;
	text-align: center;
	font-size: 110%;	
}

.team-map-popup-body-section {
	display: block;
	margin-top: 6px;
}

.team-map-ledgendmode,
.team-map-markermode {
	display: block;
    background-color: white;
	color: black;
	font: 14px/16px Arial, Helvetica, sans-serif;
	font-weight: bold;
	padding: 4px 6px;
	border-radius: 4px;
	border: 2px solid rgba(0,0,0,0.2);
}

.team-map-markermode {
	color: black;
}

.event-map-teamcnt {
	display: block; 
	font: 14px/16px Arial, Helvetica, sans-serif; 
	background: white; 
    color: black;
	border-radius: 4px; 
	border: 1px solid rgba(0,0,0,0.3); 
	text-align: center
} 
.event-map-teamcnt .event-map-teamcnt-body {
	padding: 4px 6px; 
}

/* ************************************
* Teams page - Milestones
*/
.teams-milestones-section {
	display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
	margin-bottom: 20px;
}

.teams-milestones-title {
	text-align: center;
}

.teams-milestones-box {
	align-items: flex-start;
	width: 380px;
	border-radius: 5px;
    box-shadow: 1px 1px 5px 1px grey;
	background-color: white;
	text-align: left;
	margin-bottom: 20px;
	box-sizing: border-box;
	padding-bottom: 8px;
	color: #6D6D6D;
	font-weight: bold;
	padding: 15px 15px 15px 15px;
	border-style: solid;
    border-width: 0px;
	border-color: #045d90;
}

.teams-milestones-team-line p {
	margin-bottom: 8px;
}

/* ************************************
* Venue page
*/
.venue-info-section {
	display: flex;
	flex-wrap: wrap;
}

.venue-info-left {
	flex: 1;
}

.venue-info-right {
	flex: 2;
}

/* ************************************
* Advanced Custom Fields - Google Maps support
*/
.acf-map {
    width: 100%;
    height: 450px;
    border: #ccc solid 1px;
    margin: 20px 0;
	box-sizing: border-box;
}

.acf-map img {
   max-width: inherit !important;
}


/* ************************************
* Season List
*/
.season-list {
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	justify-content: flex-start;
}

/* ************************************
* Waitlist Invitations Page
*/
.waitlist-inv .column-1 {
	max-width: 25%;
}

/* ************************************
* Event Page: Title Section
*/
.event-title-section {
	display: flex;
	min-height: 95px;
}

.event-title-image {
	margin: auto;
	flex: 1;
}

.event-title-image img {
	padding: 10px 0;
}

.event-title-text {
	flex: 8;
	margin: auto;

}
.event-title-text h2 {
	margin: auto;
}
@media (max-width: 767px) {
	.event-title-text {
		flex: 3;
		margin: auto;
		padding-left: 1em;
	}

	.event-title-text h2 {
		margin: auto;
	}
}

/* ************************************
* Event Page: Entire page body below the title
*/
.event-page {
	margin-bottom: 40px;
}


/* ************************************
* Event Page: Event Announcement Section
*/
.event-announcement-section {
	background-color: #f0f0f0;
}

/* ************************************
* Event Page: Event Information Section
*/
.event-info-section {
	display: flex;
}

.event-info-left {
	flex: 1;
}

.event-info-right {
	flex: 1;
}

@media (max-width: 767px) {
	.event-info-section {
		display: block;
		margin-bottom: 20px;
	}

	.event-info-left {
		display: block;
	}

	.event-info-right {
		display: block;
	}
	
	.dt-buttons {
		max-width: 200px;
	}
	
	.style-season-logo-gray {
		display: none;
	}
}

.event-complete,
.event-team-powered,
.event-register-now {
	font-style: italic;
	font-weight: normal;
}

/* ************************************
* Event Page: Event Results Section
*/

/* 
 * Collapse-O-Matic plugin formatting
*/

.collapseomatic_content {
	margin: 0;
}


/* Competition Results */

.event-comp-results-section {
	display: flex;
}

.event-comp-results-left {
	flex: 1;
}

.event-comp-results-right {
	flex: 1.75;
	padding-left: 20px;
	float: right;
}

.event-comp-results-right-border {
	flex: 1.75;
	padding-left: 20px;
	float: right;
}

.event-comp-results-right img {
	box-shadow: 1px 1px 5px 1px grey;
}

.event-comp-results-right-border img {
	border-style: solid;
	border-color: grey;
	border-radius: 5px;
	border-width: 1px;
	box-shadow: 1px 1px 5px 1px grey;
}

.event-comp-outerbox {
	max-width: 380px;
	border-radius: 5px;
	box-shadow: 1px 1px 5px 1px grey;
	/*background-color: #f0f0f0;*/
	background-color: #f8f8f8;
	text-align: center;
	margin-bottom: 10px;
	padding-bottom: 8px;
}

@media (max-width: 767px) {
	.event-comp-results-right {
		display: none;
	}
	.event-comp-results-right-border {
		display: none;
	}
	.event-comp-outerbox {
        max-width: 380px;
		/*width: 100%; */
		border-radius: 5px;
		box-shadow: 1px 1px 5px 1px grey;
		/*background-color: #f0f0f0;*/
		background-color: #f8f8f8;
		text-align: center;
		margin-bottom: 10px;
		padding-bottom: 8px;
	}
}


.event-comp-innerbox {
    min-height: 343px;
    border-radius: 5px;
    box-shadow: 1px 1px 5px 1px grey;
    background-color: white;
    color: #6D6D6D;
    font-weight: bold;
    margin: auto;
    margin-bottom: 8px;
    padding: 15px 15px 15px 15px;
    box-sizing: border-box;
    border-style: solid;
    border-width: 0px;
    border-color: #045d90;
}

.event-comp-finalist-title {
	padding-top: 20px;
}

.event-comp-table-section {
	padding-bottom: 20px;
}

.event-comp-top-teams {
	text-align: left;
	line-height: 2.5;
}


/* Judged Awards */

.event-judged-awards-section {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
    margin-bottom: 20px;
}

.event-judged-outerbox {
	width: 380px;
	border-radius: 5px;
    box-shadow: 1px 1px 5px 1px grey;
	background-color: #f8f8f8;
	text-align: center;
	margin-bottom: 20px;
	box-sizing: border-box;
	padding-bottom: 8px;
}

.event-judged-innerbox {
	min-height: 275px;
	border-radius: 5px;
	box-shadow: 1px 1px 5px 1px grey;
	background-color: white;
	color: #6D6D6D;
	font-weight: bold;
	margin: auto;
	margin-bottom: 8px;
	padding: 15px 15px 15px 15px;
	box-sizing: border-box;
	border-style: solid;
    border-width: 0px;
	border-color: #045d90;
}

.event-award-line p {
	margin-bottom: 8px;
}

.event-award-rank {
	font-style: italic;
	font-weight: normal;
}

.event-award-of-team {
	font-weight: normal;
}

.event-award-details {
	padding: 10px 15px 0px 15px;
}


/* ************************************
* Event Page: Tables
*/

.event-table-agenda,
.event-table-agenda-3-col,
.event-table-agenda-3-col-r {
    border-width: 0 !important;
}

/* Agenda: Time column
*/
.event-table-agenda .column-1,
.event-table-agenda-3-col .column-2,
.event-table-agenda-3-col-r .column-2 {
	width:1%;
	text-align: right;
	padding: 0;
	border-width: 0;
	box-sizing: border-box;
	white-space: nowrap;
	text-transform: lowercase;
}

/* Agenda: Last column
*/
.event-table-agenda .column-2,
.event-table-agenda-3-col .column-3,
.event-table-agenda-3-col-r .column-3 {
	text-align: left;
	padding-top: 0px;
	padding-bottom: 0px;
	padding-left: 12px;
	padding-right: 0px;
	border-width: 0;
}

/* Agenda: First column of 3-column agenda (left justified)
*/
.event-table-agenda-3-col .column-1 {
	width: 1%;
	text-align: left;
	padding: 0;
	padding-right: 5px;
	border-width: 0;
	box-sizing: border-box;
	white-space: nowrap;
}

/* Agenda: First column of 3-column agenda (right justified)
*/
.event-table-agenda-3-col-r .column-1 {
	width: 1%;
	text-align: right;
	padding: 0;
	padding-right: 5px;
	border-width: 0;
	box-sizing: border-box;
	white-space: nowrap;
}

.waitlist-inv-scrimmages,
.waitlist-inv-qualifiers,
.venue-table-events,
.venue-table-venues,
.photos-table-videos,
.hotels-table,
.team-search,
.teams-table-season,
.event-table-season-calendar,
.event-table-teams,
.event-table-teams-complete,
.event-table-champ-teams,
.event-table-champ-teams-complete,
.event-table-div-1-teams,
.event-table-div-2-teams,
.event-table-div-1-teams-complete,
.event-table-div-2-teams-complete,
.event-table-match-results,
.event-table-team-rankings,
.event-table-advancement {
	border: 1px solid silver;
	box-shadow: 1px 1px 5px 1px grey;
}

.waitlist-inv-scrimmages th,
.waitlist-inv-qualifiers th,
.venue-table-events th,
.venue-table-venues th,
.photos-table-videos th,
.hotels-table th,
.team-search th,
.teams-table-season th,
.event-table-season-calendar th,
.event-table-teams th,
.event-table-teams-complete th,
.event-table-champ-teams th,
.event-table-champ-teams-complete th,
.event-table-div-1-teams th,
.event-table-div-2-teams th,
.event-table-div-1-teams-complete th,
.event-table-div-2-teams-complete th,
.event-table-match-results th,
.event-table-team-rankings th,
.event-table-advancement th {
	padding-top: 1px;
	padding-bottom: 1px;
}

.waitlist-inv-scrimmages td,
.waitlist-inv-qualifiers td,
.venue-table-events td,
.venue-table-venues td,
.photos-table-videos td,
.hotels-table td,
.team-search td,
.teams-table-season td,
.event-table-season-calendar td,
.event-table-teams td,
.event-table-teams-complete td,
.event-table-champ-teams td,
.event-table-champ-teams-complete td,
.event-table-div-1-teams td,
.event-table-div-2-teams td,
.event-table-div-1-teams-complete td,
.event-table-div-2-teams-complete td,
.event-table-match-results td,
.event-table-team-rankings td,
.event-table-advancement td {
	padding-top: 1px;
	padding-bottom: 1px;
}

/* Count column
*/
.event-table-teams .column-1,
.event-table-champ-teams .column-1,
.event-table-champ-teams-complete .column-1,
.event-table-div-1-teams .column-1, 
.event-table-div-2-teams .column-1,
.event-table-team-rankings .column-1,
.event-table-advancement .column-1 {
	text-align: right;
	width:1%;
	white-space: nowrap;
}

/* Team Number column
*/
.teams-table-season .column-1,
.event-table-teams .column-2,
.event-table-teams-complete .column-1,
.event-table-champ-teams .column-2,
.event-table-champ-teams-complete .column-1,
.event-table-div-1-teams .column-2,
.event-table-div-2-teams .column-2,
.event-table-div-1-teams-complete .column-1,
.event-table-div-2-teams-complete .column-1,
.event-table-team-rankings .column-2,
.event-table-advancement .column-2 {
	text-align: right;
	width: 1%;
	white-space: nowrap;
}

/* Team Name
*/
.teams-table-season .column-2,
.event-table-teams .column-3,
.event-table-teams-complete .column-2,
.event-table-champ-teams .column-3,
.event-table-champ-teams-complete .column-2,
.event-table-div-1-teams .column-3,
.event-table-div-2-teams .column-3,
.event-table-div-1-teams-complete .column-2,
.event-table-div-2-teams-complete .column-2,
.event-table-team-rankings .column-3,
.event-table-advancement .column-3 {
	white-space: normal;
    text-align: left;
    @media (max-width: 480px) {
        min-width: 150px;
        overflow-wrap: break-word;
        word-break: break-word;
    }
}

/* Organization column
 */ 
.event-table-teams .column-4,
.event-table-teams-complete .column-3,
.event-table-div-1-teams .column-4,
.event-table-div-2-teams .column-4,
.event-table-div-1-teams-complete .column-3,
.event-table-div-2-teams-complete .column-3 {
	white-space: normal;
}

.teams-table-season .column-3 {
	min-width: 200px;
}

/* Location column
*/
.event-table-teams .column-5,
.event-table-teams-complete .column-4,
.event-table-div-1-teams .column-5,
.event-table-div-2-teams .column-5,
.event-table-div-1-teams-complete .column-4,
.event-table-div-2-teams-complete .column-4 {
	white-space: nowrap;
}

.teams-table-season .column-4 {
	white-space: nowrap;
	/*min-width: 130px;*/
}

/* First year column
*/
.teams-table-season .column-5 {
	/* white-space: nowrap; */
	text-align: center;
}

/* Season Count column
*/
.teams-table-season .column-6 {
	text-align: center;
	width: 1%;
}

/* Website column
*/
.teams-table-season .column-7 {
	text-align: center;
	width: 1%;
	white-space: nowrap;
}

/* Sponsors column
*/
.teams-table-season .column-8 {
	min-width: 200px;
}

/* Willing To Mentor column
*/
.teams-table-season .column-9 {
	text-align: center;
	width: 1%;
	white-space: normal;
}

/* Attendee column
*/
.event-table-teams .column-6 {
	text-align: center;
	width: 1%;
	white-space: nowrap;
}

/* Super Regional Region column
*/
.event-table-teams-complete .column-5 {
	width: 1%;
	white-space: nowrap;
}

/* Super Regional Advancement Award column
*/
.event-table-teams-complete .column-6 {
	width: 1%;
	white-space: nowrap;
}

.event-table-match-results .column-1,
.event-table-match-results .column-2 {
	text-align: right;
	width: 1%;
	white-space: nowrap;
}

.event-table-champ-teams .column-4,
.event-table-champ-teams-complete .column-3 {
	text-align: left;
	white-space: normal;
}

.event-table-champ-teams .column-5,
.event-table-champ-teams .column-6,
.event-table-champ-teams .column-7,
.event-table-champ-teams-complete .column-4,
.event-table-champ-teams-complete .column-5,
.event-table-champ-teams-complete .column-6,
.event-table-champ-teams-complete .column-7 {
	text-align: left;
	width: 1%;
	white-space: nowrap;
}

/* Horizontal scroll bar for tables that are or may be hidden. */
div.rankings-1,
div.rankings-2,
div.match-results-details-0,
div.match-results-details-1,
div.match-results-details-2,
div.division-1,
div.division-2 {
    overflow-x: auto; 
    max-width: 100%
}


/* Team Search
 */

.team-search .column-1 {
	text-align: right;
	min-width: 1%;
	white-space: nowrap;
}

.team-search .column-2,
.team-search .column-3,
.team-search .column-4,
.team-search .column-5,
.team-search .column-6,
.team-search .column-7 {
	white-space: normal;
	text-align: left;
}

/* Season column */
.team-search .column-5 {
	white-space: nowrap;
	width: 1%;
}

/* Results column */

.team-search .column-7 td {
	min-width: 275px;
	white-space: normal;
}


@media (max-width: 767px) {
	.team-search-category-row {
		margin-top: 2.0em;
	}
	.team-search-checkboxes {
		line-height: 2.5em;
	}
	.team-search .column-2 {
		min-width: 150px;
	}
	
	.team-search .column-6 {
		min-width: 150px;
	}
	.team-search .column-7 {
		min-width: 150px;
	}
	
}

.toggle-btn {
	display: none;
}

/* @media (max-width: 767px) { */
@media (max-width: 2000px) {
	.toggle-btn-visible {
		display: inline-block;
		white-space: nowrap;
	}

	.toggle-target-hidden {
		display: none;
	}

	.toggle-target-expanded {
		display: inline-block;
	}
}

.map-help-expand,
.team-search-expand {
	color: var(--heading-blue); /* our blue */
	margin: 5px 0px;
	cursor: pointer;
}

.map-help-expand:hover,
.team-search-expand:hover {
	color: #40AAF0;
	text-decoration: none;
	cursor: pointer;
}

.team-search-titles {
    color: var(--heading-blue); /* our blue */
    font-weight: 600;
    font-size: 1.25em;
}

/*
.team-search-category-row {
}
*/

.team-search-category {
	font-weight: bold;
	padding-right: 5px;
	padding-bottom: 5px;
}

.team-search-checkbox {
	padding-right: 8px;
	padding-bottom: 5px;
    white-space: nowrap;
}

.team-search-checkbox-extra {
	padding-left: 20px;
}

.team-search-number,
.team-search-name,
.team-search-org,
.team-search-city,
.team-search-state,
.team-search-season,
.team-search-event {
	box-sizing: border-box !important;
	margin-top: 5px !important;
	color: black !important;
    font-weight: bold !important;
	border: 1px solid darkgray !important;
	background-color: white !important;
}

.team-search-number::placeholder,
.team-search-name::placeholder,
.team-search-org::placeholder,
.team-search-city::placeholder,
.team-search-state::placeholder,
.team-search-season::placeholder,
.team-search-event::placeholder {
    font-weight: normal !important;

}

.team-search-number {
	max-width: 75px;
}

.team-search-name, 
.team-search-org,
.team-search-event {
	max-width: 200px;
}


.team-search-city {
	max-width: 175px;
}

.team-search-state {
	max-width: 75px;
	margin-right: 10px;
}

.team-search-season {
	max-width: 100px;
	margin-right: 10px;
}

.team-search-label {
	position: absolute;
	height: 0;
	width: 0;
	overflow: hidden;
	visibility: hidden;
}

.team-search-number:focus,
.team-search-name:focus,
.team-search-org:focus,
.team-search-city:focus,
.team-search-state:focus,
.team-search-season:focus,
.team-search-event:focus {
    outline: solid 1px var(--heading-blue) !important; /* our blue */
	border: solid 1px var(--heading-blue) !important; /* our blue */
    box-shadow: inset 2px 2px 2px rgba(0, 0, 0, .13) !important;
}

/*
.team-search-btn {
}
*/

.team-search-reset-btn {
	padding:.36em 1em .19em;
	border-width: 1px;
	box-sizing: border-box;	
	border-radius: 2px;
	margin-left: 10px;
}

/*
.team-search-results {
}
*/

.team-search-results-category {
	font-weight: 600;
}

/*
.team-search-results-content {
}
*/

.event-table-teams-table-qt {
	font-weight: bold;
	font-style: italic;
	color: #6D6D6D;
}

.team-search-rank-ok {
	color: green;
	font-weight: bold;
}

.team-search-rank-issue {
	color: orange;
	font-weight: bold;
}

.event-table-div-1-teams thead th,
.event-table-div-1-teams-complete thead th {
	background: #f7cb4d;
}

.event-table-div-1-teams thead .sorting:hover,
.event-table-div-1-teams thead .sorting_asc,
.event-table-div-1-teams thead .sorting_desc,
.event-table-div-1-teams-complete thead .sorting:hover,
.event-table-div-1-teams-complete thead .sorting_asc,
.event-table-div-1-teams-complete thead .sorting_desc {
	/*background-color: #edb102;*/
    opacity: .90;
}

/*.event-table-div-1-teams tr:nth-child(odd),
.oddt-table-div-1-teams-complete tr:nth-child(odd) {
	background: #fff2cc;
}*/

/*.event-table-div-1-teams tr:hover,
.event-table-div-1-teams-complete tr:hover {
	background: #fcde83;
	cursor: pointer;
}*/

.event-table-div-2-teams thead th,
.event-table-div-2-teams-complete thead th{
	background: #8bc34a;
}

.event-table-div-2-teams thead .sorting:hover,
.event-table-div-2-teams thead .sorting_asc,
.event-table-div-2-teams thead .sorting_desc,
.event-table-div-2-teams-complete thead .sorting:hover,
.event-table-div-2-teams-complete thead .sorting_asc,
.event-table-div-2-teams-complete thead .sorting_desc  {
	/*background-color: #569e02;*/
    opacity: .90;
}

/*.event-table-div-2-teams tr:nth-child(odd),
.event-table-div-2-teams-complete tr:nth-child(odd) {
	background: #d9ead3;
}*/

/*.event-table-div-2-teams tr:hover,
.event-table-div-2-teams-complete tr:hover {
	background: #b5e8a2;
	cursor: pointer;
}*/

.event-table-team-rankings .column-4,
.event-table-team-rankings .column-5,
.event-table-team-rankings .column-6,
.event-table-team-rankings .column-7,
.event-table-team-rankings .column-8,
.event-table-team-rankings .column-9 {
	text-align: center !important;
}

.event-table-match-results .column-3,
.event-table-match-results .column-4,
.event-table-match-results .column-5,
.event-table-match-results .column-6,
.event-table-match-results .column-7,
.event-table-match-results .column-8,
.event-table-match-results .column-9,
.event-table-match-results .column-10,
.event-table-match-results .column-11,
.event-table-match-results .column-12,
.event-table-match-results .column-13,
.event-table-match-results .column-14,
.event-table-match-results .column-15 {
	text-align: center !important;
}

.event-table-advancement .column-1,
.event-table-advancement .column-2,
.event-table-advancement .column-3 {
	white-space: nowrap;
}

/* Event Calendar */

.event-table-season-calendar thead th {
	text-align: center !important;
	border: 0px;
	border-top: 1px solid #e0e0e0;
	border-bottom: 1px solid #e0e0e0;
}

.event-table-season-calendar tbody td {
	text-align: center;
	border: 0px solid #e0e0e0;
	border-bottom: 1px solid #e0e0e0;
	box-sizing: border-box;
    vertical-align: middle;
    height: 60px;
}

.event-table-season-calendar .column-1 {
	white-space: nowrap;
}

.event-table-season-calendar .column-2 {
	width: 135px;
}

.event-table-season-calendar .column-4,
.event-table-season-calendar .column-5 {
	min-width: 200px;
}

.event-table-season-calendar .column-4 {
	max-width: 350px;
}
/*
.event-table-season-calendar-new-month {
}
*/

.event-season-cal-image {
	width: 100px;
	padding: 10px 0px;
}

.event-table-calendar-month-heading-col1 {
	font-style: normal;
	font-weight: bold;
	text-align: center;
	color: #045d90;
	white-space: nowrap;
	line-height: 200%;
	padding-top: 0px;
}

.event-table-calendar-month-heading {
	font-style: normal;
	font-weight: bold;
	text-align: center;
	color: #045d90;
	padding-top: 25px;
}

/* 2020-2021 season team videos
*/

.photos-table-videos .column-1 {
	text-align: right;
	width: 1%;
	white-space: nowrap;
}

.photos-table-videos .column-2, 
.photos-table-videos .column-3 {
	text-align: left;
	white-space: normal;
}

.photos-table-videos .column-4 {
	text-align: left;
	white-space: nowrap;
}


.photos-table-videos .column-5 {
	text-align: right;
	white-space: nowrap;
}

.photos-table-videos .column-6 {
	text-align: left;
	white-space: nowrap;
}

/* 
 * Venue Tables
*/

.venue-table-venues .column-1 {
	min-width: 200px;
}

.venue-table-venues .column-2 {
	max-width: 400px;
}

.venue-table-venues .column-3 {
	white-space: nowrap;
}

/*
* Hotels
*/
@media (max-width: 767px) {
	.hotels-table td {
		padding-top: 10px !important;
        padding-bottom: 10px !important;
	}
}

.hotels-table td {
    vertical-align: middle;
}

.hotels-table .column-1 {
    min-width: 300px;
}

.hotels-table .column-2 {
    min-width: 200px;
}

.hotels-table .column-3 {
    min-width: 200px;
}

.hotels-table .column-4 {
    min-width: 140px;
}

.hotels-table .column-5 {
    min-width: 400px;
}

.hotels-table .column-8 {
    min-width: 150px;
}

.hotels-table .column-2,
.hotels-table .column-4,
.hotels-table .column-6,
.hotels-table .column-7,
.hotels-table .column-8,
.hotels-table .column-9,
.hotels-table .column-10 {
    text-align: center;
}


/* Buttons
 * 
 * Snagged from TablePress / Datatables
 *
*/

.uagb-buttons-repeater,
.wp-block-button .wp-block-button__link,
.event-button {
    position: relative;
    display: inline-block;
    box-sizing: border-box;
    margin-right: 0.333em;
    margin-bottom: 0.333em;
    padding: 0.5em 1em;
    border: 1px solid rgba(0, 0, 0, 0.3);
    border-color: rgba(0, 0, 0, 0.3) !important;
    border-radius: 2px;
    cursor: pointer;
    /*font-size: 0.88em;*/
    /*line-height: 1.6em;*/
    font-size: 1em;
    line-height: 1;
    color: black;
    white-space: nowrap;
    overflow: hidden;
    background-color: rgba(0, 0, 0, 0.1);
    /*background: linear-gradient(to bottom, rgba(230, 230, 230, 0.1) 0%, rgba(0, 0, 0, 0.1) 100%);*/
    background: linear-gradient(to bottom, rgba(255, 255, 255, 1) 0%, rgba(200, 200, 200, 0.4) 100%);
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
    text-decoration: none;
    text-overflow: ellipsis;
}

/*
.event-button.disabled {
    cursor: default;
    opacity: 0.4;
}
*/

.upcoming-events {
    text-align: center;
    /*margin-bottom: 24px;*/
}

.upcoming-events ul {
    list-style-type: none; /* Remove bullets */
    padding: 0; /* Remove padding */
    margin: 0; /* Remove margins */
}

.uagb-buttons-repeater:active:not(.disabled),
.event-button:active:not(.disabled) {
    background-color: rgba(0, 0, 0, 0.1);
    background: linear-gradient(to bottom, rgba(179, 179, 179, 0.1) 0%, rgba(0, 0, 0, 0.1) 100%);
    box-shadow: inset 1px 1px 3px #999999;
}

.uagb-buttons-repeater:active:not(.disabled):hover:not(.disabled),
.event-button:active:not(.disabled):hover:not(.disabled) {
    box-shadow: inset 1px 1px 3px #999999;
    background-color: rgba(0, 0, 0, 0.1);
    background: linear-gradient(to bottom, rgba(128, 128, 128, 0.1) 0%, rgba(0, 0, 0, 0.1) 100%);
}

.uagb-buttons-repeater:hover,
.event-button:hover {
    text-decoration: none;
}

.uagb-buttons-repeater:hover:not(.disabled),
.event-button:hover:not(.disabled) {
    border: 1px solid #666;
    border-color: #666;
    background-color: rgba(0, 0, 0, 0.1);
    background: linear-gradient(to bottom, rgba(153, 153, 153, 0.1) 0%, rgba(0, 0, 0, 0.1) 100%);
}

.uagb-buttons-repeater.processing,
.event-button.processing {
    color: rgba(0, 0, 0, 0.2);
}

.uagb-buttons-repeater.processing:after,
.event-button.processing:after {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 16px;
    height: 16px;
    margin: -8px 0 0 -8px;
    box-sizing: border-box;
    display: block;
    content: " ";
    border: 2px solid #282828;
    border-color: #282828;
    border-radius: 50%;
    border-left-color: transparent;
    border-right-color: transparent;
    animation: dtb-spinner 1500ms infinite linear;
    -o-animation: dtb-spinner 1500ms infinite linear;
    -ms-animation: dtb-spinner 1500ms infinite linear;
    -webkit-animation: dtb-spinner 1500ms infinite linear;
    -moz-animation: dtb-spinner 1500ms infinite linear;
}
